MarinerWrtTextInternal::Table::Row Struct Reference

a table row of a MarinerWrtText More...

## Public Member Functions

| Row ()
| constructor

## Public Attributes

long | m_lastChar
| the last table position
int | m_height
| the table height ( <=0 a least )
std::vector< Cell > | m_cellsList
| a list of cell entry list

## Detailed Description

a table row of a MarinerWrtText

## Constructor & Destructor Documentation

## Row()

MarinerWrtTextInternal::Table::Row::Row | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_cellsList

std::vector<Cell> MarinerWrtTextInternal::Table::Row::m_cellsList

a list of cell entry list

Referenced by MarinerWrtText::findTableStructure(), and Row().

## m_height

int MarinerWrtTextInternal::Table::Row::m_height

the table height ( <=0 a least )

Referenced by MarinerWrtText::findTableStructure(), and Row().

## m_lastChar

long MarinerWrtTextInternal::Table::Row::m_lastChar

the last table position

Referenced by MarinerWrtText::findTableStructure(), and Row().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx